using Fort23.UTool;
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic
{
    public class TimeLineFallLogic : TimeLineEventLogicBasic
    {
        protected override void ProSetCombatInfo()
        {
        }

        protected override void ProEnter()
        {
         
        }

        protected override void ProLeave()
        {
            ITimeLineFall timeLineEndSing =
                _timeLineTriggerEntity as ITimeLineFall;
            if (timeLineEndSing != null)
            {
              
                timeLineEndSing.TimeLineFallFinish();
            }
        }

        protected override void ProTimeUpdate()
        {
        }

        protected override void ProBreakTimeLine()
        {
        }

        protected override void ProDispose()
        {
        }
    }
}